(function () {
    var alivenow = alivenow || {};
    alivenow.SERVER=(function(){
    
        function SERVER(){
            
        };
    SERVER.prototype.send=function(_url,_success,_error,_data,_type){
       // console.log(_success)
        _data=_data==undefined?{}:_data;
        _type=_type==undefined?"POST":_type;
        $.ajax({
            url:_url,
            type: _type,
            data:_data,
            success:_success,
            error:_error
        });
    };
    return SERVER;
})();
// Main Js

alivenow.Main = (function () {
    function Main() {}
    Main.prototype.init = function () {
        var g = new Phaser.Game(768, 1100, Phaser.AUTO, "game-area", {
            create: this.create
            , preload: this.preload
            , rotateMe: this.rotateMe
        }, true);
        g.state.add('GLoader', alivenow.ResourceLoader);
        g.state.add('Title', alivenow.Title);
        g.state.add('Selection', alivenow.Selection);
        g.state.add('Instruction', alivenow.Instruction);
        g.state.add('Congrts', alivenow.Congrts);
        g.state.add('Form', alivenow.Form);
        g.state.add('Share', alivenow.Share);
        g.state.add('Game', alivenow.Game);  
        g.state.add('Pixel', alivenow.Pixel);           
        g.state.add('Claimed', alivenow.Claimed);
    };
    Main.prototype.preload = function () {
        alivenow.Global.game = this.game;
        //alivenow.Global.rotateHandler = this.rotateMe;
    };
    Main.prototype.create = function () {
        this.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
        this.scale.fullScreenScaleMode = Phaser.ScaleManager.SHOW_ALL;
        this.scale.compatibility.orientationFallback = 'viewport';
        this.scale.pageAlignVertically = true;
        this.scale.pageAlignHorizontally = true;
        this.game.time.advancedTiming = true;
        //window.addEventListener("resize", this.rotateMe.bind(this));
        //this.rotateMe.call(this);
        this.game.stage.backgroundColor ="#e62753";
        this.game.state.start("GLoader");
    };
    Main.prototype.rotateMe = function () {
        var img = document.getElementById("rotate");
        if (!alivenow.Global.skipRotationHandle) {
            if (window.innerWidth > window.innerHeight) {
                if (this.game.scale.isFullScreen) {
                    this.game.scale.stopFullScreen();
                }
 
                img.style.display = "block";
                img.style.width = String(window.innerWidth) + "px";
                img.style.height = "auto";
                img.style.top = "0px";
                img.style.left = "0px";
                alivenow.Global.game.paused = true;
                alivenow.Global.game.canvas.style.visibility = "hidden";
            }
            else {
                img.style.display = "none";
                img.style.width = "0px";
                img.style.height = "0px";
                alivenow.Global.game.stage.visible = !(alivenow.Global.game.paused = false);
                alivenow.Global.game.canvas.style.visibility = "visible";
            }
        }
    }
    alivenow.sendData = function (data, fun) {
        data = data || {};
        fun = fun || function () {};
        var t = new Date().getTime();
        data.t = t;
        var dAr = CryptoJS.enc.Utf8.parse(JSON.stringify(data));
        var dr = CryptoJS.enc.Base64.stringify(dAr);
        var hd = CryptoJS.enc.Base64.stringify(CryptoJS.enc.Utf8.parse(t));
        var shaObj = new jsSHA("SHA-256", "TEXT");
        shaObj.setHMACKey(alivenow.Global.token.substr(5, 12), "TEXT");
        shaObj.update(hd + "." + dr);
        var hmac = shaObj.getHMAC("HEX");
        var k1 = CryptoJS.enc.Utf8.parse(hmac);
        var k2 = CryptoJS.enc.Base64.stringify(k1);
        var text = "";
        var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        var r1 = Math.floor(Math.random() * 6) + 1;
        var r2 = Math.floor(Math.random() * 7) + 2;
        for (var i = 0; i < r2; i++) text += possible.charAt(Math.floor(Math.random() * possible.length));
        var f_str = String(r2) + String(r1) + k2.substr(0, r1) + text + k2.substr(r1);
        var out = hd + "." + dr + "." + f_str;
        var obj = {
            "user_id": alivenow.Global.U_ID
            , "data": out
        }
        $.ajax({
            url: alivenow.Global.URL_VUPDATE
            , type: "POST"
            , data: obj
            , dataType: 'json'
            , success: fun
            , error: function (data) {}
        });
    }
    alivenow.createUser = function () {
        //console.log(source);
        /* $.ajax({
            url: alivenow.Global.URL_CREATE
            , type: "POST"
            ,data: {'source':source}
            , dataType: 'json'
            , success: function (data) {
                alivenow.Global.U_ID = data.userid;
                alivenow.Global.token = data.gamekey;
                alivenow.Global.device=data.device;
                 console.log(alivenow.Global.U_ID);
            }
            , error: function () {}
        }); */
    }
        return Main;
    })();

    // Resource Loader

    alivenow.ResourceLoader = (function () {
        function ResourceLoader() {
           alivenow.createUser();
        }
        ResourceLoader.prototype.init = function () {
            this.game.load.onFileComplete.add(this.progress, this);
            this.g = this.add.graphics(0, 0);
            this.t = this.add.text(250, 250, "0 %", {
                fill: "#ffffff"
            });
            this.setPercentage(0);
            this.v = this.add.graphics(0, 0);
            
        };
        ResourceLoader.prototype.progress = function (p) {
            this.setPercentage(p);
        };
        ResourceLoader.prototype.setPercentage = function (p) {
            this.t.text = String(p) + " %";
            var w = p / 100 * 310;
            this.g.clear();
            this.g.beginFill(0xF2652D, 1);
            this.g.lineStyle(1, 0xF2652D, 0.1);
            this.g.drawRect(200, 300, w, 38);
            this.g.endFill();
            this.g.lineStyle(5, 0x000, 1);
            this.g.drawRect(200, 300, 310, 38);
        };
        ResourceLoader.prototype.preload = function () {
            var base_url="./"
            var V=10;
            this.load.crossOrigin = 'Anonymous';
            this.game.load.image('landingBG', base_url + 'assets/images/01-Start-page.jpg?v='+V);
            this.game.load.image('instBGMob', base_url + 'assets/images/02-instruction-page.jpg?v='+V);
            this.game.load.image('instBGDesk', base_url + 'assets/images/02-instruction-page-for-desktop.jpg?v='+V);
            this.game.load.image('gameBG', base_url + 'assets/images/03-Game-page.jpg?v='+V);
            this.game.load.image('scoreBG', base_url + 'assets/images/04-Score-page.jpg?v='+V);
            this.game.load.image('thankBG', base_url + 'assets/images/07-Details-page.jpg?v='+V);
            this.game.load.atlas('buttons', base_url + 'assets/images/buttons.png?v='+V, 'assets/images/buttons.json?v='+V);
            this.game.load.image('crackers', base_url + 'assets/images/Crackers-1.png?v='+V);
            this.game.load.image('greenBomb', base_url + 'assets/images/Crackers-2.png?v='+V);
            this.game.load.image('redBomb', base_url + 'assets/images/Crackers-3.png?v='+V);
            this.game.load.image('goldCoin', base_url + 'assets/images/goldCoin.png?v='+V);
            this.game.load.image('silverCoin', base_url + 'assets/images/silverCoin.png?v='+V);
            //animation 
            this.game.load.atlas('crackers-anim', base_url + 'assets/images/crackers.png', base_url + 'assets/images/crackers.json');
            this.game.load.atlas('greenBomb-anim', base_url + 'assets/images/greenBomb.png', base_url + 'assets/images/greenBomb.json');
            this.game.load.atlas('redBomb-anim', base_url + 'assets/images/redBomb.png', base_url + 'assets/images/redBomb.json');
            // Audio 
            this.game.load.audio('coin', base_url + 'assets/images/coin.mp3?v='+V);
            this.game.load.audio('crackers-audio', base_url + 'assets/images/newcrackers.mp3?v='+V);
            this.game.load.audio('greenBomb-audio', base_url + 'assets/images/greenBomb.mp3?v='+V);
            this.game.load.audio('redBomb-audio', base_url + 'assets/images/redBomb.mp3?v='+V);
    
            /* Bitmap Fonts */
            this.game.load.bitmapFont("buildTitling", base_url + 'assets/fonts/buildTitling.png?v='+V, base_url + 'assets/fonts/buildTitling.xml?v='+V);
            
    
        };
        ResourceLoader.prototype.create = function () {
          
                this.game.state.start("Title");
                
        };
        return ResourceLoader;
    })();

    // Title Screen Js

    alivenow.Title = (function () {
        function Title() {}
        Title.prototype.preload = function () {};
        Title.prototype.create = function () {
            Title.gameObj = this;
            this.game.add.sprite(0, 0, "landingBG");
        
            this.explore = this.add.button(this.game.world.centerX, 950, "buttons", this.onButtonPress, {
                ClickName: "Start"
            }, "Start-button-rollover.png", "Start-button.png");
            this.explore.anchor.setTo(0.5,0);
             //alivenow.sendData({"operation":"couponCount","user_id": alivenow.Global.U_ID},this.couponCount);
        };
        Title.prototype.onButtonPress = function (param) {
            switch (this.ClickName) {
                case "Start":
                      // alivenow.sendData({"operation":"start","user_id": alivenow.Global.U_ID});
                        Title.gameObj.game.state.start("Instruction");
                        break;
            }
        };
        Title.prototype.onSuccess = function (data) {
                console.log(data);
        }
        Title.prototype.couponCount = function (data) {
                 alivenow.Global.CouponCount=parseInt(data.couponCount);
                 console.log(alivenow.Global.CouponCount);
        }
        return Title;
    })();

    //Instruction JS

    alivenow.Instruction = (function () {
        function Instruction() {}
        Instruction.prototype.preload = function () {};
        Instruction.prototype.create = function () {
            Instruction.gameObj = this;
            if(alivenow.Global.device=='mobile'){
            this.game.add.sprite(0, 0, "instBGMob");
            }
            else{
                this.game.add.sprite(0, 0, "instBGDesk");
            }
         
            this.explore = this.add.button(this.game.world.centerX, 950, "buttons", this.onButtonPress, {
                ClickName: "Play"
            }, "Play-button.rollover.png", "Play-button.png");
            this.explore.anchor.setTo(0.5,0);
                 var style = { font: "100px BirdsofParadise", fill: "#ae031e", align: "center" };
                this.upText = this.game.add.text(this.game.world.centerX-200, 200, "", style);
        };
        Instruction.prototype.onButtonPress = function (param) {
            switch (this.ClickName) {
                case "Play":
                        //alivenow.sendData({"operation":"play","user_id": alivenow.Global.U_ID},this.onSuccess);
                       Instruction.gameObj.game.state.start("Game");
                        break;
            }
        };
        Instruction.prototype.onSuccess = function (data) {
               // console.log(data);
        }
        return Instruction;
    })();

    // Game Js
    alivenow.Game = (function () {
        function Game() {}
        Game.prototype.preload = function () {};
        Game.prototype.create = function () {
            Game.gameObj = this;
            this.scoreValue=0;
            this.timeValue=60;
            this.ascore=0;
            this.plusValue=5;
            this.silverValue=3;
            this.minusValue=2;
            this.gameData=[];
            this.objCount=1;
            this.ascoreValue=0;
            alivenow.Global.selectedItem='goldCoin';
            alivenow.Global.selectedItem1='silverCoin';
            this.BG=this.game.add.sprite(0, 0, "gameBG");
            this.scoreBG=this.game.add.sprite(this.game.world.centerX ,300 ,"buttons","Score-and-time.png");
            this.scoreBG.anchor.setTo(0.5);
            this.scoreBG.scale.setTo(1.2)
            this.pointGroup = this.add.group();
            this.scoreGroup = this.add.group();
            this.timeGroup = this.add.group();

            this.score = new Phaser.BitmapText(Game.gameObj.game,0, 310, "buildTitling", "00" , 40);
            this.score.tint = 0xae031e;
            this.score.x = 260-this.score.textWidth/2;
            this.scoreGroup.addChild( this.score);
  
            this.time = new Phaser.BitmapText(Game.gameObj.game,0, 310, "buildTitling", "00:00" , 40);
            this.time.tint = 0xae031e;
            this.time.x = 530-this.time.textWidth/2;
            this.timeGroup.addChild( this.time);
            
             newitemsinterval=setInterval(function(){
                Game.gameObj.AddObject();
            }, 200);
            
             timeinterval=setInterval(function(){
                if(Game.gameObj.timeValue>1){
                Game.gameObj.timeValue-=1;
                var timer=timeconerter(Game.gameObj.timeValue);
                Game.gameObj.time.text=timer;
                }
                else{
                    Game.gameObj.GameDone();
                   
                }
            }, 1000);
            //alivenow.sendData({"operation":"starttime","user_id": alivenow.Global.U_ID,"gameno":alivenow.Global.replayCount});
    
        };
        function timeconerter(time){
            var minutes = "0" + Math.floor(time / 60);
            var seconds = "0" + (time - minutes * 60);
            return minutes.substr(-2) + ":" + seconds.substr(-2);
        }
        Game.prototype.GameDone=function() {
            alivenow.Global.GameOver=true;
            console.log( Game.gameObj.scoreValue);
            alivenow.Global.score =  Game.gameObj.scoreValue;
            //alivenow.sendData({"operation":"scoredata","user_id": alivenow.Global.U_ID, "score": Game.gameObj.scoreValue,"actualscore":Game.gameObj.ascore,"gamedata":JSON.stringify(Game.gameObj.gameData),"gameno":alivenow.Global.replayCount});
            clearInterval(newitemsinterval);
            clearInterval(timeinterval);
            Game.gameObj.game.state.start("Congrts");
        }
        Game.prototype.update=function() {
    
        }
        Game.prototype.AddObject=function() {
            var Elements=['crackers','greenBomb','redBomb','silverCoin','goldCoin'];
            var NewElement=Elements[Math.floor(Math.random()*Elements.length)];
            var xPosition=getRandomInteger(10, 650);
            var yPosition=getRandomInteger(450, 900);
            this.newsweet= this.game.add.sprite(xPosition,yPosition,NewElement);
            var item=this.newsweet;
            this.newsweet.inputEnabled = true;
            this.newsweet.events.onInputUp.add(Game.gameObj.onDown, item);
            this.game.add.tween(this.newsweet).to( { alpha: 1 }, 1000, Phaser.Easing.Linear.None, true, 0, 1000, true);
            Game.gameObj.removeObject(Game.gameObj.newsweet);
        }
        Game.prototype.removeObject=function(item) {
            setTimeout(function(){
                //this.game.add.tween(item).to( { alpha: 0 }, 200, Phaser.Easing.Linear.None, true, 0, 100, true);
                item.destroy();
                //console.log('removed');
            }, 1500);
        }
        function getRandomInteger(min, max) {
            min = Math.ceil(min);
            max = Math.floor(max);
            return Math.floor(Math.random() * (max - min)) + min;
          }
        Game.prototype.onDown=function(){
            var gameDataobj={};
            if(this.key==alivenow.Global.selectedItem)
            {
            var pntTxt = new Phaser.BitmapText(Game.gameObj.game, this.position.x, this.position.y, "buildTitling", "+"+Game.gameObj.plusValue , 40);
                Game.gameObj.scoreValue+=Game.gameObj.plusValue;
                Game.gameObj.ascoreValue+=Game.gameObj.plusValue;
                Game.gameObj.palyingAudio= Game.gameObj.game.sound.play('coin');
                gameDataobj.selectedItem=alivenow.Global.selectedItem;
                gameDataobj.itemValue=Game.gameObj.plusValue;
                gameDataobj.newScore= Game.gameObj.scoreValue;
                gameDataobj.clickItem=this.key;
                gameDataobj.clickTime= new Date();
                //Game.gameObj.sprite = Game.gameObj.game.add.sprite(this.position.x, this.position.y-68, this.key+'-anim');
                //Game.gameObj.sprite.scale.setTo(0.9);
                //Game.gameObj.objAnim=Game.gameObj.sprite.animations.add('Crackers', Phaser.Animation.generateFrameNames('anim0', 0, 8), 10, false);
               // Game.gameObj.sprite.animations.play('Crackers');
                //Game.gameObj.objAnim.onComplete.add(Game.gameObj.KillScore,Game.gameObj.sprite);  
    
            }
            else if(this.key==alivenow.Global.selectedItem1){
                var pntTxt = new Phaser.BitmapText(Game.gameObj.game, this.position.x, this.position.y, "buildTitling", "+"+Game.gameObj.silverValue , 40);
                Game.gameObj.scoreValue+=Game.gameObj.silverValue;
                Game.gameObj.ascoreValue+=Game.gameObj.silverValue;
                Game.gameObj.palyingAudio= Game.gameObj.game.sound.play('coin');
                gameDataobj.selectedItem=alivenow.Global.selectedItem;
                gameDataobj.itemValue=Game.gameObj.silverValue;
                gameDataobj.newScore= Game.gameObj.scoreValue;
                gameDataobj.clickItem=this.key;
                gameDataobj.clickTime= new Date();
                //Game.gameObj.sprite = Game.gameObj.game.add.sprite(this.position.x, this.position.y-68, this.key+'-anim');
                //Game.gameObj.sprite.scale.setTo(0.9);
                //Game.gameObj.objAnim=Game.gameObj.sprite.animations.add('Crackers', Phaser.Animation.generateFrameNames('anim0', 0, 8), 10, false);
                //Game.gameObj.sprite.animations.play('Crackers');
                //Game.gameObj.objAnim.onComplete.add(Game.gameObj.KillScore,Game.gameObj.sprite); 
            }
            else{
                var pntTxt = new Phaser.BitmapText(Game.gameObj.game, this.position.x, this.position.y, "buildTitling", "-"+Game.gameObj.minusValue , 40);
                Game.gameObj.scoreValue-=Game.gameObj.minusValue;
                Game.gameObj.ascoreValue-=Game.gameObj.minusValue;
                Game.gameObj.palyingAudio=Game.gameObj.game.sound.play(this.key+'-audio');
                gameDataobj.selectedItem=alivenow.Global.selectedItem;
                gameDataobj.itemValue="-"+Game.gameObj.minusValue;
                gameDataobj.newScore= Game.gameObj.scoreValue;
                gameDataobj.clickItem=this.key;
                gameDataobj.clickTime= new Date();
                Game.gameObj.sprite = Game.gameObj.game.add.sprite(this.position.x, this.position.y, this.key+'-anim');
                Game.gameObj.objAnim=Game.gameObj.sprite.animations.add('Crackers', Phaser.Animation.generateFrameNames('Crackers0', 0, 7), 10, false);
                Game.gameObj.sprite.animations.play('Crackers');
                Game.gameObj.objAnim.onComplete.add(Game.gameObj.KillScore,Game.gameObj.sprite);              
            }
            gameDataobj.NO=Game.gameObj.objCount;
            Game.gameObj.gameData.push(gameDataobj);
            Game.gameObj.ascore=Game.gameObj.ascoreValue;
            pntTxt.tint = 0xae031e;
            Game.gameObj.pointGroup.addChild(pntTxt);
            var tween=this.game.add.tween(pntTxt).to({  y: 0 }, 2000, Phaser.Easing.Linear.None, true);
            if(Game.gameObj.scoreValue<=0){
                Game.gameObj.scoreValue=0;
            }
            Game.gameObj.score.text= Game.gameObj.scoreValue;
            tween.onComplete.add(Game.gameObj.KillScore, pntTxt);
            this.kill();
            Game.gameObj.objCount++;
        }
        Game.prototype.KillScore=function(item){
           // Game.gameObj.palyingAudio.stop();
            item.kill();
        }
        Game.prototype.onButtonPress = function (param) {
            switch (this.ClickName) {
            case "MainShare":
                break;
            }
        };
        Game.prototype.success = function (data) {
          console.log(data);
         }
        return Game;
    })();

    // Form JS

    alivenow.Form=(function(){
        function Form(){
            
        };
      
        Form.prototype.init=function(){
            
        };
        Form.prototype.preload=function(){
            
        };
        
        Form.prototype.create=function(){
                      
    
            Form.gameobj=this;
            //alivenow.Global.skipRotationHandle = true;
            alivenow.Global.currentView="form";
           //this.scale.stopFullScreen();
            $('canvas').hide();
          
            $(".form_sec").show();
            $(".terms").on('click',function(){
                $("#myModal").modal('show')
            });
            $(".form_submit").on('click',this.handleSubmit.bind(this));
           $(".term_btn2").on('click',function(){
                    alivenow.Global.prevState="Form";
                alivenow.Global.game.state.start("Instruction");
               })
           
        };
        
         
        Form.prototype.handleSubmit=function() {
            var username = String(document.getElementById("name").value);
            var mobile = String(document.getElementById("mobile").value);
            var tandc = document.getElementById("field_terms1").checked;
            var indicate = $("#indicate")
            alivenow.Global.name=username;
            alivenow.Global.mobile=mobile;
            
            
           
            $(".form_error").show();
    
            if (username.length <= 0) {
                
                
                    document.getElementsByClassName("form_error")[0].innerHTML = "Please enter a valid name.";
              
                
                return false;
            }
            
            
           var re=/^[6-9][0-9]{9}$/;
            if (!re.test(mobile)) {
                document.getElementsByClassName("form_error")[0].innerHTML = "Please enter a valid 10 digit mobile number.";
                return false;
            }
    
            
          if(!tandc){
               
                document.getElementsByClassName("form_error")[0].innerHTML = "Please accept the terms and conditions!";
                return false;
            }
            
            $(".waitImg").show();
             $(".form_submit").hide();
            //alivenow.sendData({"operation":"formdata","user_id": alivenow.Global.U_ID, "name": username,"mobile":mobile},this.showThank);
            
            alivenow.Global.formSent=true;
            
           
        };
       
        
       Form.prototype.showThank=function(v){
           var data=v;
           alivenow.Global.CouponCode=data.couponCode;
           alivenow.Global.FromFill=true;
           console.log(alivenow.Global.CouponCode);
           $(".form_error").hide();
            $(".waitImg").hide();
           $(".form_sec").hide();
           $("canvas").show();
           Form.gameobj.game.state.start("Share");
       };
        
        return Form;
    })();

    // Congrts JS

    alivenow.Congrts = (function () {
        function Congrts() {}
        Congrts.prototype.preload = function () {};
        Congrts.prototype.create = function () {
            Congrts.gameObj = this;
            this.game.add.sprite(0, 0, "gameBG");
            this.txtGroup = this.add.group();
            if(alivenow.Global.CouponCount>1){
            if(alivenow.Global.score>=75){
                var style = { font: "100px BirdsofParadise", fill: "#ae031e", align: "center" };
                var style1 = { font: "60px BirdsofParadise", fill: "#ae031e", align: "center" };
                this.upText = this.game.add.text(this.game.world.centerX-270, 170, "Congratulations!", style);
                this.upText1 = this.game.add.text(this.game.world.centerX-290, 270, "You have unlocked coupon", style1);
                //this.cText.x = this.game.world.width/2 - this.cText.width/2;
            }
            else{
                var style = { font: "100px BirdsofParadise", fill: "#ae031e", align: "center" };
                this.upText = this.game.add.text(this.game.world.centerX-200, 200, "Your Score", style);
                //this.upText.tint = 0xff0408;
               // this.upText.x=this.game.width/2 - this.upText.textWidth/2;
                this.txtGroup.addChild(this.upText);
            }
            }
            else{
                var style = { font: "100px BirdsofParadise", fill: "#ae031e", align: "center" };
                var style1 = { font: "60px BirdsofParadise", fill: "#ae031e", align: "center" };
                this.upText = this.game.add.text(this.game.world.centerX-50, 170, "oops!", style);
                this.upText1 = this.game.add.text(this.game.world.centerX-120, 270, "Contest is over", style1);
            }
            this.fscoreBG=this.game.add.sprite(0, 350, "buttons","Score-circle.png");
            this.fscoreBG.x=this.game.world.width/2-this.fscoreBG.width/2;    
            this.congrtsGroup = this.add.group();
            this.cdText = new Phaser.BitmapText(this.game,0, 490, "buildTitling", ""+alivenow.Global.score , 120);
            this.cdText.tint = 0xae031e;
            this.cdText.x=this.game.width/2 - this.cdText.textWidth/2;
            this.congrtsGroup.addChild(this.cdText);
             if(alivenow.Global.CouponCount>1){
            if(alivenow.Global.score>=75){
            this.submit = this.add.button(this.game.world.centerX, 830, "buttons", this.onButtonPress, {
                ClickName: "Submit"
            }, "Proceed-to-unlock-rollover.png", "Proceed-to-unlock.png");
            this.submit.anchor.setTo(0.5,0);
            this.playagain = this.add.button(this.game.world.centerX, 950, "buttons", this.onButtonPress, {
                ClickName: "PlayAgain"
            }, "Try-gain-button.rollover.png", "Try-gain-button.png");
            this.playagain.anchor.setTo(0.5,0);
        }
        else{
            this.coupText=new Phaser.BitmapText(this.game,0, 850, "buildTitling", "SCORE 75 TO UNLOCK THE COUPON" , 30);
            this.coupText.x=this.game.width/2 - this.coupText.textWidth/2;
            this.congrtsGroup.addChild(this.coupText);
            this.retry = this.add.button(this.game.world.centerX, 900, "buttons", this.onButtonPress, {
                ClickName: "retry"
            }, "Retry-button.rollover.png", "Retry-button.png");
            this.retry.anchor.setTo(0.5,0);
        }
        }
        else{
             this.coupText=new Phaser.BitmapText(this.game,0, 850, "buildTitling", "you can continue playing the game for fun" , 30);
            this.coupText.x=this.game.width/2 - this.coupText.textWidth/2;
            this.congrtsGroup.addChild(this.coupText);
            this.retry = this.add.button(this.game.world.centerX, 900, "buttons", this.onButtonPress, {
                ClickName: "retry"
            }, "Retry-button.rollover.png", "Retry-button.png");
            this.retry.anchor.setTo(0.5,0);
        }
        };
        Congrts.prototype.onButtonPress = function (param) {
            switch (this.ClickName) {
                case "PlayAgain":
                      //alivenow.sendData({"operation":"play_again","user_id": alivenow.Global.U_ID});
                       //Title.gameObj.game.scale.startFullScreen();
                       alivenow.Global.replayCount++;
                       alivenow.Global.selectedItem='';
                       Congrts.gameObj.game.state.start("Instruction");
                        break;
                case "Submit":
                        //alivenow.sendData({"operation":"proceed","user_id": alivenow.Global.U_ID});
                        // Title.gameObj.game.scale.startFullScreen();
                        if(alivenow.Global.FromFill==false)
                        Congrts.gameObj.game.state.start("Form");
                        else
                         Congrts.gameObj.game.state.start("Share");
                    break;
                 case "retry":
                      // alivenow.sendData({"operation":"retry_game","user_id": alivenow.Global.U_ID});
                       //Title.gameObj.game.scale.startFullScreen();
                       alivenow.Global.replayCount++;
                       alivenow.Global.selectedItem='';
                       Congrts.gameObj.game.state.start("Instruction");
                        break;
            }
        };
        Congrts.prototype.onSuccess = function (data) {
                console.log(data);
        }
        return Congrts;
    })();

    // Share jS
    alivenow.Share = (function () {
        function Share() {}
        Share.prototype.preload = function () {};
        Share.prototype.create = function () {
            Share.gameObj = this;
            this.game.add.sprite(0, 0, "thankBG");
              this.txtGroup = this.add.group();
             if(alivenow.Global.CouponCode!=''){
                var style = { font: "60px BirdsofParadise", fill: "#ae031e", align: "center" };
                var style1 = { font: "60px BirdsofParadise", fill: "#ae031e", align: "center" };
                this.upText = this.game.add.text(this.game.world.centerX-220, 270, "Your Coupon code is:", style);
                this.upText1 =   new Phaser.BitmapText(this.game,this.game.world.centerX-120, 350, "buildTitling", ""+alivenow.Global.CouponCode , 40);
                this.upText1.tint = 0xae031e;
                this.txtGroup.addChild(this.upText1);
                //this.cText.x = this.game.world.width/2 - this.cText.width/2;
            }
            else{
                var style = { font: "60px BirdsofParadise", fill: "#ae031e", align: "center" };
                this.upText = this.game.add.text(this.game.world.centerX-270, 270, "Your Coupon code will be", style);
                this.upText1 = this.game.add.text(this.game.world.centerX-200, 330, "sent your mobile no", style);
                //this.upText.tint = 0xff0408;
               // this.upText.x=this.game.width/2 - this.upText.textWidth/2;
                this.txtGroup.addChild(this.upText);
            } 
            this.fshare = this.add.button(50, 470, "buttons", this.onButtonPress, {
                ClickName: "fshare"
            }, "F-share.png", "F-share.png");
            this.tshare = this.add.button(550, 700, "buttons", this.onButtonPress, {
                ClickName: "tshare"
            }, "t-share.png", "t-share.png");
            if(alivenow.Global.device=='mobile'){
            this.retry = this.add.button(160, 800, "buttons", this.onButtonPress, {
                ClickName: "whatsapp"
            }, "Whatsapp-share.png", "Whatsapp-share.png");
             }
            this.playagain = this.add.button(this.game.world.centerX, 950, "buttons", this.onButtonPress, {
                ClickName: "PlayAgain"
            }, "Try-gain-button.rollover.png", "Try-gain-button.png");
            this.playagain.anchor.setTo(0.5,0);
        };
        Share.prototype.onSuccess = function (c) {
             
        };
        Share.prototype.onButtonPress = function (param) {
            switch (this.ClickName) {
            case "fshare":
                    //alivenow.sendData({"operation":"fshare","user_id": alivenow.Global.U_ID});
                    location.href="https://www.facebook.com/sharer/sharer.php?u=http://bit.ly/diwaliDhamaka";
            break;
            case "tshare":
                //alivenow.sendData({"operation":"tshare","user_id": alivenow.Global.U_ID});
                window.open('http://twitter.com/intent/tweet?text= Har Tyohaar mein BigBazaar %23FestiveDhamaka! -&url=http://bit.ly/diwaliDhamakaTwitter', '_blank');
                
            break;
            case "whatsapp":
                      alivenow.sendData({"operation":"whatsapp","user_id": alivenow.Global.U_ID});
                      location.href="whatsapp://send?text=Har Tyohaar mein BigBazaar %23FestiveDhamaka http://bit.ly/diwaliDhamakaWhatsapp";
            break;
            case "PlayAgain":
                   // alivenow.sendData({"operation":"retry_thank","user_id": alivenow.Global.U_ID});
                    alivenow.Global.replayCount++;
                    alivenow.Global.selectedItem='';
                    Share.gameObj.game.state.start("Instruction");
            break;
            }
        } 
        return Share;
    })();
    // Global JS
    alivenow.Global = {
        URL_TSHARE_WEB: 'https://twitter.com/intent/tweet?text='
        , URL_FSHARE_WEB: 'https://www.facebook.com/sharer/sharer.php?u='
        , game: null
        , score: 0
        , device: ""
        , _os: ""
        , _deviceTypePos: 0
        , currLang: 'en'
        , formSent: false
        , skipRotationHandle: false
        , rotateHandler: null
        , replayCount: 1
        , gameFinish: false
        , gameOver: false
        , URL_CREATE: "https://www.newsfeedsmartapps.com/BigBazaar/DiwaliDhamaka/createUser.php"
        , URL_VUPDATE: "https://www.newsfeedsmartapps.com/BigBazaar/DiwaliDhamaka/webservices.php"
        , U_ID: "",
         currentGame:0
         ,GameOver:false
         ,selectedItem:''
        ,CouponCode:''
        , FromFill:false
    , }
    var obj = new alivenow.Main();
    obj.init();
    _server = new alivenow.SERVER();
})();